- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions

# QGraphicsRectItem Class Reference

Search for all occurrences

## Detailed Description

Definition at line 682 of file qgraphicsitem.h.

`#include <qgraphicsitem.h>`

Inheritance diagram for QGraphicsRectItem:
[legend]

List of all members.

## Public Types
enum | { Type = 3 }
## Public Member Functions
| QGraphicsRectItem (QGraphicsItem *parent=0, QGraphicsScene *scene=0)
| QGraphicsRectItem (const QRectF &rect, QGraphicsItem *parent=0, QGraphicsScene *scene=0)
| QGraphicsRectItem (qreal x, qreal y, qreal w, qreal h, QGraphicsItem *parent=0, QGraphicsScene *scene=0)
| ~QGraphicsRectItem ()
QRectF | rect () const
void | setRect (const QRectF &rect)
void | setRect (qreal x, qreal y, qreal w, qreal h)
QRectF | boundingRect () const
QPainterPath | shape () const
bool | contains (const QPointF &point) const
void | paint (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget=0)
bool | isObscuredBy (const QGraphicsItem *item) const
QPainterPath | opaqueArea () const
int | type () const
## Protected Member Functions
bool | supportsExtension (Extension extension) const
void | setExtension (Extension extension, const QVariant &variant)
QVariant | extension (const QVariant &variant) const

## Member Enumeration Documentation

anonymous enum

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Definition at line 718 of file qgraphicsitem.h.

    { Type = 3 };

## Constructor & Destructor Documentation

QGraphicsRectItem | ( | QGraphicsItem * | parent = `0`,
|  | QGraphicsScene * | scene = `0`
| ) |  |

QGraphicsRectItem | ( | const QRectF & | rect,
|  | QGraphicsItem * | parent = `0`,
|  | QGraphicsScene * | scene = `0`
| ) |  |

QGraphicsRectItem | ( | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h,
|  | QGraphicsItem * | parent = `0`,
|  | QGraphicsScene * | scene = `0`
| ) |  |

~QGraphicsRectItem | ( |  | ) |

## Member Function Documentation

QRectF rect | ( |  | ) | const

Search for all occurrences

void setRect | ( | const QRectF & | rect | ) |

Search for all occurrences

void setRect | ( | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h
| ) |  | `[inline]`

Search for all occurrences

Definition at line 731 of file qgraphicsitem.h.

    { setRect(QRectF(ax, ay, w, h)); }

QRectF boundingRect | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QGraphicsItem.

QPainterPath shape | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

bool contains | ( | const QPointF & | point | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

void paint | ( | QPainter * | painter,
|  | const QStyleOptionGraphicsItem * | option,
|  | QWidget * | widget = `0`
| ) |  | `[virtual]`

Search for all occurrences

Implements QGraphicsItem.

bool isObscuredBy | ( | const QGraphicsItem * | item | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractGraphicsShapeItem.

QPainterPath opaqueArea | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractGraphicsShapeItem.

int type | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

bool supportsExtension | ( | Extension | extension | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

void setExtension | ( | Extension | extension,
|  | const QVariant & | variant
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

QVariant extension | ( | const QVariant & | variant | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

The documentation for this class was generated from the following file:

- QtGui/qgraphicsitem.h

QGraphicsRectItem QGraphicsRectItem QGraphicsRectItem QGraphicsRectItem QGraphicsRectItem QGraphicsRectItem QGraphicsRectItem QGraphicsRectItem QGraphicsRectItem QGraphicsRectItem
QGraphicsRectItem QGraphicsRectItem QGraphicsRectItem QGraphicsRectItem QGraphicsRectItem QGraphicsRectItem QGraphicsRectItem QGraphicsRectItem QGraphicsRectItem QGraphicsRectItem